Bug 146776 - [new port] sysutils/monitorix: a web based monitoring system
Summary: [new port] sysutils/monitorix: a web based monitoring system
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-20 22:40 UTC by Michael James Brune
Modified: 2010-08-18 18:50 UTC (History)
0 users

See Also:


Attachments
file.shar (3.78 KB, text/plain)
2010-05-20 22:40 UTC, Michael James Brune
no flags Details
patch.txt (3.72 KB, text/plain)
2010-05-20 23:52 UTC, Michael James Brune
no flags Details
patch.txt (11.95 KB, text/plain)
2010-05-24 10:34 UTC, Michael James Brune
no flags Details
patch.txt (5.73 KB, text/plain)
2010-05-24 10:43 UTC, James Michael
no flags Details
patch.txt (7.51 KB, text/plain)
2010-05-24 11:20 UTC, James Michael
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael James Brune 2010-05-20 22:40:02 UTC
This will add the program monitorix to freebsd ports.

Fix: Please see the attached shar file.

Patch attached with submission follows:
Comment 1 Michael James Brune 2010-05-20 23:52:58 UTC
To fix depends here is a shar file, just use this one.

-- 
Michael James Brune
206-552-8572
Comment 2 Martin Wilke freebsd_committer 2010-05-21 08:05:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Michael James Brune 2010-05-24 10:34:35 UTC
This is hopefully the final shar file ill have to submit, this removes 
the rc script and adds a pkg-message.

-- 
Michael James Brune
206-552-8572
Comment 4 James Michael 2010-05-24 10:43:28 UTC
This is hopefully the final shar file ill have to submit, this removes 
the rc script and adds a pkg-message.

(resent with the right files included)
Comment 5 James Michael 2010-05-24 11:20:37 UTC
Fixed the pkg-plist, sorry about all the patchs just use the latest shar.
Comment 6 Martin Wilke freebsd_committer 2010-06-07 07:16:06 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

back to pool (ENOTIME to deal with this)
Comment 7 Olli Hauer freebsd_committer 2010-08-10 00:14:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

I'll take it
Comment 8 Olli Hauer freebsd_committer 2010-08-15 19:57:33 UTC
State Changed
From-To: open->feedback

Hi Michael, 

after looking deeper into monitorix, I decide to do the install without the install script. 
Additional I removed the init and stop function from monitorix.pl to prevent damage of 
existing crontabs, instead the user will get an instruction what to do. 

Since it is silly to mange files not located in $PREFIX I moved the directory /var/db/monitorix 
to ${PREFIX}/monitorix. 

It seems you have monitorix already in use, so please look into the changes and make additinal 
suggestions If you think there is something missing. 

You can get a copy of the port here: 
http://people.freebsd.org/~ohauer/diffs/PR_146776_monitorix_rewritten.shar
Comment 9 dfilter service freebsd_committer 2010-08-18 18:43:39 UTC
ohauer      2010-08-18 17:43:31 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/monitorix   Makefile distinfo pkg-descr pkg-plist 
    sysutils/monitorix/files monitorix.in patch-monitorix.pl 
                             pkg-message.in 
  Log:
  - new port sysutils/monitorix
  
  PR:             146776
  Submitted by:   Michael Brune <admin _at_ mjbrune.org>
  Approved by:    glarkin (mentor)
  
  Monitorix is a free, open source, lightweight system monitoring tool
  designed to monitorize as many services as possible. At this time it
  monitors from the CPU load and temperatures to the users using the system.
  Network devices activity, network services demand and even the devices'
  interrupt activity are also monitored, and more. The current status of any
  corporate server with Monitorix installed can be accessed via a web browser.
  
  WWW: http://www.monitorix.org/
  
  Revision  Changes    Path
  1.1217    +1 -0      ports/sysutils/Makefile
  1.1       +123 -0    ports/sysutils/monitorix/Makefile (new)
  1.1       +3 -0      ports/sysutils/monitorix/distinfo (new)
  1.1       +37 -0     ports/sysutils/monitorix/files/monitorix.in (new)
  1.1       +65 -0     ports/sysutils/monitorix/files/patch-monitorix.pl (new)
  1.1       +16 -0     ports/sysutils/monitorix/files/pkg-message.in (new)
  1.1       +8 -0      ports/sysutils/monitorix/pkg-descr (new)
  1.1       +58 -0     ports/sysutils/monitorix/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Olli Hauer freebsd_committer 2010-08-18 18:45:44 UTC
State Changed
From-To: feedback->closed

- new port submitted with major changes, Thanks! 

Approved by: glarkin (mentor)